org.apache.myfaces.trinidad.util

## Class CollectionUtils.ExternalAccessHookMap<K,V>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.DelegatingMap<K,V>
  - - org.apache.myfaces.trinidad.util.CollectionUtils.AccessHookMap<K,V>
    - - org.apache.myfaces.trinidad.util.CollectionUtils.ExternalAccessHookMap<K,V>

- All Implemented Interfaces:
    Map<K,V>
  Enclosing class:
    CollectionUtils

      protected static class CollectionUtils.ExternalAccessHookMap<K,V>
      extends CollectionUtils.AccessHookMap<K,V>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.ExternalAccessHookMap(Map<K,V> delegate, CollectionUtils.MapMutationHooks<K,V> mutationHooks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearNotify()`
    `protected Map<K,V>` | `getDelegate()`
    `protected void` | `removeNotify(Object key)`
    `protected void` | `writeNotify(K key, V value)`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.AccessHookMap

      `clear, entrySet, put, putAll, remove`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.DelegatingMap

      `containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionUtils.ExternalAccessHookMap

          protected CollectionUtils.ExternalAccessHookMap(Map<K,V> delegate,
                                               CollectionUtils.MapMutationHooks<K,V> mutationHooks)

  - ### Method Detail

    - #### getDelegate

          protected final Map<K,V> getDelegate()

      Specified by:
        `getDelegate` in class `CollectionUtils.DelegatingMap<K,V>`

    - #### writeNotify

          protected final void writeNotify(K key,
                         V value)

      Specified by:
        `writeNotify` in class `CollectionUtils.AccessHookMap<K,V>`

    - #### removeNotify

          protected final void removeNotify(Object key)

      Specified by:
        `removeNotify` in class `CollectionUtils.AccessHookMap<K,V>`

    - #### clearNotify

          protected final void clearNotify()

      Specified by:
        `clearNotify` in class `CollectionUtils.AccessHookMap<K,V>`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.